curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "catherine.briggs@example.com",
"first_name": "Catherine",
"last_name": "Briggs",
"types": [],
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "+15555551212",
"primary_contact": true,
"title": "Engineer"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts"
payload = {
"email": "catherine.briggs@example.com",
"first_name": "Catherine",
"last_name": "Briggs",
"types": [],
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "+15555551212",
"primary_contact": True,
"title": "Engineer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'catherine.briggs@example.com',
first_name: 'Catherine',
last_name: 'Briggs',
types: [],
carrier_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
phone_number: '+15555551212',
primary_contact: true,
title: 'Engineer'
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1626281253,
"email": "davidsmith@testcorp.com",
"first_name": "David",
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "c2f5489d-36d1-4fb0-bf9f-105ad5dd0b3e",
"last_name": "Smith",
"modified": 1626281253,
"phone_number": "+14255551234",
"primary_contact": true,
"title": "Chief People Officer",
"types": [
"company",
"billing"
],
"version": "6ba43c6e-69f2-435f-a126-8595a798eb52"
}Create Contact
Create a new contact for a group.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Work email address of the group contact
"catherine.briggs@example.com"
First name of the group contact
"Catherine"
Last name of the group contact
"Briggs"
List of contact types for the group contact
1company, billing, executive, online, carrier Unique identifier of a Carrier in Noyo's system when contact type contains carrier
Work phone number of the group contact in E.164 format
"+15555551212"
True if contact is the primary contact for the group
Job title of the group contact
"Engineer"
Response
Successful Response - Returns the new Group Contact
The date the record was originated
Unique identifier of the group in Noyo
Unique identifier of the group contact in Noyo
The date the record was last updated
List of contact types for the group contact
1company, billing, executive, online, carrier Version of the group contact record
Unique identifier of a Carrier in Noyo's system
Work email address of the group contact
"catherine.briggs@example.com"
First name of the group contact
"Catherine"
Last name of the group contact
"Briggs"
Work phone number of the group contact in E.164 format
"+15555551212"
True if contact is the primary contact for the group
Job title of the group contact
"Engineer"
Was this page helpful?
